Package org.gradle.tooling.events.problems

# Interface FileLocation

All Superinterfaces:
  `Location`

All Known Subinterfaces:
  `LineInFileLocation`, `OffsetInFileLocation`

@Incubating public interface FileLocation extends Location
A file location.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  The path to the file.

- ## Method Details

  - ### getPath

    String getPath()
    The path to the file.
    Returns:
      the file path
    Since:
      8.6